<div class="mb-1 fs-5">
  <label class="col-md-2 col-xxl-2 col-form-label">กำหนดผู้ดำเนินการ</label>
</div>

<div class="row py-1 bl fs-7" *ngFor="let item of dataList">

  <div class="col-md-7 col-xxl-7">
    <div class="col-12">
      <label class="col-auto col-form-label">{{item.name}}</label>
    </div>
    <div class="col-12">
      {{item.description}}
    </div>
  </div>

  <div class="col-md-5 col-xxl-5 vl fs-7">

    <div class="col-12 py-2 row">
      <div class="col-md-4 col-xxl-4">
        <button mat-button color="primary" (click)="manageAgency(item.code)" [disabled]="item.btnCostCenter">
          ชื่อหน่วยงาน
          <mat-icon aria-hidden="false" aria-label="Example home icon">filter_alt</mat-icon>
        </button>
      </div>
      <div class="col-md-2 col-xxl-2">
        {{item.costCenterCode}}
      </div>
      <div class="col-md-6 col-xxl-6">
        {{item.costCenterName}}
      </div>
    </div>

    <div class="col-12 pb-1 row fs-7">
      <div class="col-md-4 col-xxl-4">
        <button mat-button color="primary" (click)="manageEmployee(item.code)" [disabled]="item.btnEmployee">
          ชื่อพนักงาน
          <mat-icon aria-hidden="false" aria-label="Example home icon">filter_alt</mat-icon>
        </button>
      </div>
      <div class="col-md-2 col-xxl-2">
        {{item.employeeNumber}}
      </div>
      <div class="col-md-6 col-xxl-6">
        {{item.employeeName}}
      </div>
    </div>

  </div>

</div>

<div class="row mt-3 d-flex align-items-center justify-content-end">
  <div class="col-auto button-row fs-7">
    <button class="fs-7" mat-raised-button color="primary" [mat-dialog-close]="dataList" cdkFocusInitial>บันทึก</button>
    <button class="fs-7" mat-stroked-button color="basic" (click)="onNoClick()">ยกเลิก</button>
  </div>
</div>
<app-loader></app-loader>